Index: Makefile
===================================================================
--- Makefile    (revision 9529)
+++ Makefile    (working copy)
@@ -53,6 +53,7 @@
 
 INST_HEADERS:=kernel.h user.h fasthdlc.h wctdm_user.h dahdi_config.h
 
+DAHDI_BUILD_KVM:=m
 DAHDI_BUILD_ALL:=m
 
 KMAKE=$(MAKE) -C $(KSRC) SUBDIRS=$(PWD)/drivers/dahdi DAHDI_INCLUDE=$(PWD)/include DAHDI_MODULES_EXTRA="$(DAHDI_MODULES_EXTRA)" HOTPLUG_FIRMWARE=$(HOTPLUG_FIRMWARE)
@@ -74,7 +75,9 @@
 
 all: modules
 
-modules: prereq
+base-modules: kvm
+
+modules: prereq base-modules
 ifeq (no,$(HAS_KSRC))
        @echo "You do not appear to have the sources for the $(KVERS) kernel installed."
        @exit 1
@@ -213,6 +216,14 @@
 dahdi-api.html: drivers/dahdi/dahdi-base.c
        build_tools/kernel-doc --kernel $(KSRC) $^ >$@
 
+# Build only Basic
+kvm: include/dahdi/version.h
+       $(KMAKE) modules DAHDI_BUILD_KVM=$(DAHDI_BUILD_KVM)
+
 .PHONY: distclean dist-clean clean all install devices modules stackcheck install-udev update install-modules install-include uninstall-modules firmware-download install-xpp-firm firmware-loaders
 
 FORCE:
Index: drivers/dahdi/Kbuild
===================================================================
--- drivers/dahdi/Kbuild        (revision 9529)
+++ drivers/dahdi/Kbuild        (working copy)
@@ -1,11 +1,13 @@
-obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI)                  += dahdi.o
-#obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DUMMY)           += dahdi_dummy.o
-obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC)          += dahdi_dynamic.o
-obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC_LOC)      += dahdi_dynamic_loc.o
-obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC_ETH)      += dahdi_dynamic_eth.o
-obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_DYNAMIC_ETHMF)    += dahdi_dynamic_ethmf.o
-obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_TRANSCODE)                += dahdi_transcode.o
 
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI)                  += dahdi.o
+#obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI_DUMMY)           += dahdi_dummy.o
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI)                   += dahdi.o
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI_DYNAMIC)           += dahdi_dynamic.o
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI_DYNAMIC_LOC)       += dahdi_dynamic_loc.o
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI_DYNAMIC_ETH)       += dahdi_dynamic_eth.o
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI_DYNAMIC_ETHMF)     += dahdi_dynamic_ethmf.o
+obj-$(DAHDI_BUILD_KVM)$(CONFIG_DAHDI_TRANSCODE)         += dahdi_transcode.o
+
 obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCT4XXP)          += wct4xxp/
 obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTC4XXP)         += wctc4xxp/
 obj-$(DAHDI_BUILD_ALL)$(CONFIG_DAHDI_WCTDM24XXP)       += wctdm24xxp/
